ReadySetGoStyleManagerInternal::State Struct Reference

Internal: the state of a ReadySetGoStyleManager. More...

## Public Member Functions

| State ()
| constructor
void | initColors ()
| init the color's list
void | initPatterns ()
| init the patterns' list

## Public Attributes

int | m_version
| the file version
bool | m_isDesignStudio
| a flag to know if we parse a Design Studio file
std::vector< MWAWColor > | m_colors
| the list of colors: v45
std::vector< MWAWGraphicStyle::Pattern > | m_patterns
| the list of patterns: v3

## Detailed Description

Internal: the state of a ReadySetGoStyleManager.

## Constructor & Destructor Documentation

## State()

ReadySetGoStyleManagerInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## initColors()

void ReadySetGoStyleManagerInternal::State::initColors | ( |  | ) |

init the color's list

## initPatterns()

void ReadySetGoStyleManagerInternal::State::initPatterns | ( |  | ) |

init the patterns' list

## Member Data Documentation

## m_colors

std::vector<MWAWColor> ReadySetGoStyleManagerInternal::State::m_colors

the list of colors: v45

Referenced by initColors(), and State().

## m_isDesignStudio

bool ReadySetGoStyleManagerInternal::State::m_isDesignStudio

a flag to know if we parse a Design Studio file

Referenced by initPatterns(), and State().

## m_patterns

std::vector<MWAWGraphicStyle::Pattern> ReadySetGoStyleManagerInternal::State::m_patterns

the list of patterns: v3

Referenced by initPatterns(), and State().

## m_version

int ReadySetGoStyleManagerInternal::State::m_version

the file version

Referenced by initColors(), initPatterns(), and State().

The documentation for this struct was generated from the following file:

- ReadySetGoStyleManager.cxx